#ifndef MIDA_CPU_H
#define MIDA_CPU_H

#include <cpu.h>
#include <vec.h>
class Mida_cpu: public CPU
{
public:
    Mida_cpu();
    Mida_cpu(textureWidget* );
    GLubyte* raycastingCPU(Parametres* p);

private:
    vec4 calculIluminacioFTB(Capsa3D cub, Raig raig, int colorMode, Llum *llum);
    vec4 getColorActual(int mode, float v, int i, int j, int k, Llum *llum, vec4 colorMax);
    float gamma;

   /* double fPi;
    float gamma;
    float alfaactual;
    float fmaxi;
    vec3 cfpi;
    float afpi, alfa0, alfai,deltai,betai;
    vec3 ci,c0;*/


};

#endif // MIDA_CPU_H
